curl --location --request POST 'https://api.userorbit.com/v1/public/feedback-votes.info' \
--header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"feedbackId": "feedback-uuid"
}'
const response = await fetch('https://api.userorbit.com/v1/public/feedback-votes.info', {
method: 'POST',
headers: {
'Authorization': 'Bearer SUBSCRIBER_JWT_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
feedbackId: 'feedback-uuid'
})
});
const { data } = await response.json();
console.log(`Votes: ${data.count}, Has voted: ${data.hasVoted}`);
import requests
response = requests.post(
'https://api.userorbit.com/v1/public/feedback-votes.info',
headers={
'Authorization': 'Bearer SUBSCRIBER_JWT_TOKEN',
'Content-Type': 'application/json'
},
json={
'feedbackId': 'feedback-uuid'
}
)
data = response.json()['data']
print(f"Votes: {data['count']}, Has voted: {data['hasVoted']}")
{
"data": {
"count": 42,
"feedbackId": "feedback-uuid",
"hasVoted": true,
"voteId": "vote-uuid"
}
}
Votes
Get Feedback Vote Info
Get vote count and check if current user has voted on a feedback item.
POST
/
v1
/
public
/
feedback-votes.info
curl --location --request POST 'https://api.userorbit.com/v1/public/feedback-votes.info' \
--header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"feedbackId": "feedback-uuid"
}'
const response = await fetch('https://api.userorbit.com/v1/public/feedback-votes.info', {
method: 'POST',
headers: {
'Authorization': 'Bearer SUBSCRIBER_JWT_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
feedbackId: 'feedback-uuid'
})
});
const { data } = await response.json();
console.log(`Votes: ${data.count}, Has voted: ${data.hasVoted}`);
import requests
response = requests.post(
'https://api.userorbit.com/v1/public/feedback-votes.info',
headers={
'Authorization': 'Bearer SUBSCRIBER_JWT_TOKEN',
'Content-Type': 'application/json'
},
json={
'feedbackId': 'feedback-uuid'
}
)
data = response.json()['data']
print(f"Votes: {data['count']}, Has voted: {data['hasVoted']}")
{
"data": {
"count": 42,
"feedbackId": "feedback-uuid",
"hasVoted": true,
"voteId": "vote-uuid"
}
}
Authentication
Authorization: Bearer YOUR_API_KEY
Authorization: Bearer SUBSCRIBER_JWT_TOKEN
Request Body
string
required
The feedback ID to get vote information for
Response
object
curl --location --request POST 'https://api.userorbit.com/v1/public/feedback-votes.info' \
--header 'Authorization: Bearer SUBSCRIBER_JWT_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"feedbackId": "feedback-uuid"
}'
const response = await fetch('https://api.userorbit.com/v1/public/feedback-votes.info', {
method: 'POST',
headers: {
'Authorization': 'Bearer SUBSCRIBER_JWT_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
feedbackId: 'feedback-uuid'
})
});
const { data } = await response.json();
console.log(`Votes: ${data.count}, Has voted: ${data.hasVoted}`);
import requests
response = requests.post(
'https://api.userorbit.com/v1/public/feedback-votes.info',
headers={
'Authorization': 'Bearer SUBSCRIBER_JWT_TOKEN',
'Content-Type': 'application/json'
},
json={
'feedbackId': 'feedback-uuid'
}
)
data = response.json()['data']
print(f"Votes: {data['count']}, Has voted: {data['hasVoted']}")
{
"data": {
"count": 42,
"feedbackId": "feedback-uuid",
"hasVoted": true,
"voteId": "vote-uuid"
}
}
Use Cases
- Display Vote Count: Show number of votes on feedback
- Vote Button State: Determine if vote button should be active/inactive
- User Engagement: Track which feedback user has voted on
Notes
hasVotedandvoteIdonly populated with subscriber authentication- Vote count always returned regardless of authentication
- One vote per subscriber per feedback
Was this page helpful?

